Samsung Pay push provisioning
This endpoint is only used for Samsung Pay push provisioning.
Response is a JSON that must be passed to Samsung and onwards to MDES/VTS.
POST
/
v1
/
{cardId}
/
provision
/
samsungpay
Samsung Pay push provisioning
curl --request POST \
--url 'https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/wallet/v1/{cardId}/provision/samsungpay' \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"clientAppID": "<string>",
"clientDeviceID": "<string>",
"clientWalletAccountID": "<string>"
}
'import requests
url = "https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/wallet/v1/{cardId}/provision/samsungpay"
payload = {
"clientAppID": "<string>",
"clientDeviceID": "<string>",
"clientWalletAccountID": "<string>"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
clientAppID: '<string>',
clientDeviceID: '<string>',
clientWalletAccountID: '<string>'
})
};
fetch('https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/wallet/v1/{cardId}/provision/samsungpay', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"digitizationData": "<string>",
"googleOpaquePaymentCard": "<string>"
}Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
CardId for the card that should be provisioned (returned from card operation)
Query Parameters
The audit user to log the request
Body
application/json
Response
OK
Base64 encoded json structure containing needed data for MDES/VTS
Base64-encoded (RFC 4648 §4, non-URL-safe) PGP signed and encrypted Google Opaque Payment Card. Present only on Google Pay provisioning responses when the request included a serverSessionId.
Was this page helpful?
⌘I
Samsung Pay push provisioning

